#
# See the file "LICENSE" for the full license governing this code.
#
# encoding: UTF-8
newparam(:character_set) do
  include EasyType

  desc <<-EOD
    Specify the character set the database uses to store data.
  EOD

  data_type("Optional[String[1]]")
  on_apply do
    "character set #{value}"
  end
end
