#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:role_name) do
  include EasyType
  include EasyType::Validators::Name
  include Puppet_X::EnterpriseModules::Oracle::Mungers::Upcase

  desc <<-EOD
    The role name.
  EOD

  isnamevar

  data_type("String[1]")

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('ROLE').upcase
  end
end
