#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:table_owner) do
  include EasyType
  include Puppet_X::EnterpriseModules::Oracle::Mungers::Upcase

  desc <<-EOD
  The table owner the synonym references.

		  ora_synonym { 'PUBLIC.SYNONYM_NAME@SID':
		  	...
		    table_owner  => 'TABLE_OWNER',
		    ...
		  }
  EOD

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('TABLE_OWNER')
  end
  data_type("Optional[String[1]]")
end
