#
# See the file "LICENSE" for the full license governing this code.
#
# encoding: UTF-8
require 'easy_type'

Puppet::Type.type(:ora_asm_volume).provide(:default_provider) do
  include EasyType::Provider
  include Puppet_X::EnterpriseModules::Oracle::Access

  confine :exists => settings_file

  #
  # No need to add or remove anything here
  #
  desc 'This is the generic provider for a easy_type type'

  mk_resource_methods
end
