#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-EOD
    A name for the record and the table to manage.

    This can be any name you like.

    Example:

        ora_record { 'just_a_name':
          ...
        }
  EOD

  data_type("String[1]")
  isnamevar
end
