#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:owner) do
  include EasyType
  include Puppet_X::EnterpriseModules::Oracle::Mungers::Upcase

  desc <<-EOD
	The owner of the package. This is the first part of the title string. The first part before
	the `.`.

      ora_trigger { 'OWNER.TRIGGER@SID':
      	...
      }
	EOD

  isnamevar

  data_type("String[1]")
end
